function play_avi(nombre_video)

% Esta funcin muestra un video
% play_avi(nombre_video)
% Variables de entrada:
% nombre_video  nombre del video 


% lee el video
video=aviread(nombre_video);
info_avi=aviinfo(nombre_video);

% obtiene el tamao
height=info_avi.Height;
width=info_avi.Width;
height_figure=6/5*height;
width_figure=6/5*width;    % 20% ms

rect1=[200,200,width_figure,height_figure,];
if width>=height
    rect2_h=height/width*0.8;
    rect2=[0.1 0.1 0.8 rect2_h];
else
    rect2_w=width/height*0.8;
    rect2=[0.1 0.1 rect2_w 0.8];
end
figure('position', rect1);
h=axes('position',rect2);
axis off;
movie(h,video,1,info_avi.FramesPerSecond);
